# BarcodeFormat enum

Barcode document format

Inheritance
  - Object
  - Enum
  - BarcodeFormat

## Constructors

BarcodeFormat()
  const

## Values

AZTEC → const BarcodeFormat

  Aztec barcode type */

CODABAR → const BarcodeFormat

  CODABAR barcode type */

CODE_25 → const BarcodeFormat

  CODE_25 barcode type */

CODE_39 → const BarcodeFormat

  CODE_39 barcode type */

CODE_93 → const BarcodeFormat

  CODE_93 barcode type */

CODE_128 → const BarcodeFormat

  CODE_128 barcode type */

DATA_MATRIX → const BarcodeFormat

  DATA_MATRIX barcode type */

EAN_8 → const BarcodeFormat

  EAN_8 barcode type */

EAN_13 → const BarcodeFormat

  EAN_13 barcode type */

ITF → const BarcodeFormat

  ITF barcode type */

PDF_417 → const BarcodeFormat

  PDF_417 barcode type */

QR_CODE → const BarcodeFormat

  QR_CODE barcode type */

MICRO_QR_CODE → const BarcodeFormat

  MICRO_QR_CODE barcode type */

DATABAR → const BarcodeFormat

  DATABAR barcode type */

DATABAR_EXPANDED → const BarcodeFormat

  DATABAR_EXPANDED barcode type */

UPC_A → const BarcodeFormat

  UPC_A barcode type */

UPC_E → const BarcodeFormat

  UPC_E barcode type */

MSI_PLESSEY → const BarcodeFormat

  MSI Plessey barcode type */

IATA_2_OF_5 → const BarcodeFormat

  IATA (2 of 5) barcode type */

INDUSTRIAL_2_OF_5 → const BarcodeFormat

  INDUSTRIAL (2 of 5) barcode type */

USPS_INTELLIGENT_MAIL → const BarcodeFormat

  USPS Intelligent Mail, a.k.a. USPS OneCode, USPS-STD-11 */

ROYAL_MAIL → const BarcodeFormat

  Royal Mail Four-State Customer Code, a.k.a. RM4SCC, CBC, BPO 4 State Code */

JAPAN_POST → const BarcodeFormat

  Japan Post Four-State Barcode */

ROYAL_TNT_POST → const BarcodeFormat

  Royal TNT Post Four-State Barcode, a.k.a. KIX, Klant IndeX */

AUSTRALIA_POST → const BarcodeFormat

  Australia Post Four-State Customer Code */

DATABAR_LIMITED → const BarcodeFormat

  GS1 DataBar Limited */

GS1_COMPOSITE → const BarcodeFormat

  GS1 DataBar Composite */

MICRO_PDF_417 → const BarcodeFormat

  Micro pdf 417 */

MAXI_CODE → const BarcodeFormat

  Maxicode */

RMQR_CODE → const BarcodeFormat

  rMQR Code */

CODE_11 → const BarcodeFormat

  Code 11 */

CODE_32 → const BarcodeFormat

  Code 32 */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodeFormat>
  A constant List of the values in this enum, in order of their declaration.